Subject: Re: bug#5010: 23.1.50; insert-file should be made FFAP aware

From: Juri Linkov <[email-masked]>
Date: Sun, 22 Nov 2009 12:27:07 +0200

> I put the cursor upon /etc/motd and C-x C-f knows about it, but C-x i
> doesn't because ffap.el doesn't include it in its bindings.

And also `append-to-file', `write-file', `write-region', `load-file',
`recode-file-name', `make-directory', `delete-directory', `copy-directory'
and dozens of other commands that read a file or directory name.

I think we should now stop the madness of hunting for commands to make
FFAP aware.

With the patches I sent recently to emacs-devel it is possible to type
M-n in any file-reading prompt to pull the filename at point to the
minibuffer.  And later we could also add a dedicated key like e.g. `M-.'
to do the same.

-- 
Juri Linkov
http://www.jurta.org/emacs/